Bug 1299842 - [TEST] (6.4.x) Skip tests for HHH-10161 on Sybase
[TEST] (6.4.x) Skip tests for HHH-10161 on Sybase
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.8
Assigned To: Gail Badner
Martin Simka
:
Depends On:
Blocks: eap648-payload 1315479
  Show dependency treegraph
 
Reported: 2016-01-19 06:39 EST by Jan Martiska
Modified: 2017-01-17 07:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:36:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2016-01-19 06:39:08 EST
Tests for null value specified using javax.persistence.Parameter#getParameterType() (introduced via HHH-10161) fail on Sybase, because Sybase treats null as equal to null

That means,
insert into test values(null);
select * from test where id = null;

The SELECT will return the value added by the INSERT. This behavior is different from all other databases that we support. On other databases, you have to query whether "is null", not "= null". 

I believe this is just a database-specific behavior that Hibernate can't really do anything about, so I suggest to skip these failing tests.
Comment 1 Jan Martiska 2016-01-19 06:49:24 EST
pull request to Hibernate: https://github.com/hibernate/hibernate-orm/pull/1227
Comment 2 Mike McCune 2016-03-28 18:38:41 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Gail Badner 2016-04-13 00:16:29 EDT
Should this block the component upgrade BZ: 
https://bugzilla.redhat.com/show_bug.cgi?id=1315479 ?
Comment 5 Jiří Bílek 2016-05-06 03:26:53 EDT
Verified with EAP 6.4.8.CP.CR2.
Comment 6 Petr Penicka 2017-01-17 07:36:48 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.